import { _ as _defineProperty } from '../_chunks/dep-a77ab85e.js';
import { _ as _objectWithoutProperties } from '../_chunks/dep-0acb3ad3.js';
import Vue from 'vue';
import IconBase from '../icon.js';
import useSizeProps from '../utils/use-size-props.js';
import 'classnames';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12.9996 1V4.53223C14.9448 4.97174 16.4268 6.66549 16.4268 8.73684C16.4268 9.66591 16.1286 10.519 15.6243 11.217L18.1114 16.0951C18.7122 15.8916 19.3047 15.6572 19.8867 15.3919L20.7965 14.977L21.6263 16.7968L20.7164 17.2116C20.1619 17.4645 19.5987 17.6919 19.0285 17.8939L21.6318 23H19.3833L17.08 18.4796C13.7473 19.3072 10.2517 19.3072 6.91907 18.4796L4.61573 23H2.36719L4.97052 17.8939C4.40036 17.6919 3.83716 17.4645 3.28268 17.2116L2.3728 16.7968L3.20251 14.977L4.1124 15.3919C4.69431 15.6572 5.28689 15.8916 5.88765 16.0951L8.37486 11.2168C7.8706 10.5188 7.57252 9.66581 7.57252 8.73684C7.57252 6.66549 9.05446 4.97174 10.9996 4.53223V1H12.9996ZM7.85381 16.6451C10.5816 17.252 13.4175 17.252 16.1452 16.6451L14.0616 12.5558C13.443 12.8737 12.7402 13.0526 11.9996 13.0526C11.2591 13.0526 10.5561 12.8736 9.9375 12.5557L7.85381 16.6451ZM11.9996 6.42105C10.6278 6.42105 9.57252 7.48874 9.57252 8.73684C9.57252 9.98494 10.6278 11.0526 11.9996 11.0526C13.3715 11.0526 14.4268 9.98494 14.4268 8.73684C14.4268 7.48874 13.3715 6.42105 11.9996 6.42105Z"
    }
  }]
};
var Dividers1 = Vue.extend({
  name: "Dividers1Icon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = _objectWithoutProperties(props, _excluded);
    var _useSizeProps = useSizeProps(size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "dividers-1",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(IconBase, data);
  }
});

export default Dividers1;
//# sourceMappingURL=dividers-1.js.map
