import { _ as _defineProperty } from '../_chunks/dep-a77ab85e.js';
import { _ as _objectWithoutProperties } from '../_chunks/dep-0acb3ad3.js';
import Vue from 'vue';
import IconBase from '../icon.js';
import useSizeProps from '../utils/use-size-props.js';
import 'classnames';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M6 1.58594L10 5.58594V7.89656C10.1238 7.68585 10.2607 7.47803 10.4117 7.27618C11.1975 6.22567 12.3694 5.33801 14 5.07754V3.50015H16V5.07754C17.6306 5.33801 18.8025 6.22567 19.5883 7.27618C20.2464 8.15602 20.6374 9.14928 20.8403 10.0002H22V22.0002H2V5.58594L6 1.58594ZM18.7636 10.0002C18.5981 9.49514 18.3457 8.954 17.9867 8.47413C17.3664 7.64483 16.4379 7.00015 15 7.00015C13.5621 7.00015 12.6336 7.64483 12.0133 8.47413C11.6543 8.954 11.4019 9.49514 11.2364 10.0002H18.7636ZM10 12.0002V20.0002H12V14.0002H18V20.0002H20V12.0002H10ZM16 20.0002V16.0002H14V20.0002H16ZM8 20.0002V6.41436L6 4.41436L4 6.41436V20.0002H8ZM7.00391 8.00015V10.0041H5V8.00406H5.00391V8.00015H7.00391Z"
    }
  }]
};
var Mosque1 = Vue.extend({
  name: "Mosque1Icon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = _objectWithoutProperties(props, _excluded);
    var _useSizeProps = useSizeProps(size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "mosque-1",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(IconBase, data);
  }
});

export default Mosque1;
//# sourceMappingURL=mosque-1.js.map
