import { _ as _defineProperty } from '../_chunks/dep-a77ab85e.js';
import { _ as _objectWithoutProperties } from '../_chunks/dep-0acb3ad3.js';
import Vue from 'vue';
import IconBase from '../icon.js';
import useSizeProps from '../utils/use-size-props.js';
import 'classnames';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M1.5 1.5H6.5V3.5H3.5V6.5H1.5V1.5ZM17.5 1.5H22.5V6.5H20.5V3.5H17.5V1.5ZM11.9997 3.8453L19.0614 7.92236L19.0619 16.0774L11.9997 20.1547L4.9375 16.0774L4.93856 7.92204L11.9997 3.8453ZM6.93775 10.2312L6.9375 14.9227L10.9998 17.268L11.0001 12.5766L6.93775 10.2312ZM12.9998 17.2679L17.0619 14.9227L17.0617 10.2316L13.0001 12.5766L12.9998 17.2679ZM12.0001 10.8446L16.0614 8.49976L11.9997 6.1547L7.93836 8.4995L12.0001 10.8446ZM3.5 17.5V20.5H6.5V22.5H1.5V17.5H3.5ZM22.5 17.5V22.5H17.5V20.5H20.5V17.5H22.5Z"
    }
  }]
};
var ViewInAr = Vue.extend({
  name: "ViewInArIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = _objectWithoutProperties(props, _excluded);
    var _useSizeProps = useSizeProps(size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "view-in-ar",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(IconBase, data);
  }
});

export default ViewInAr;
//# sourceMappingURL=view-in-ar.js.map
