'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M2.0043.590088L2.00015.585938.585938 2.00015 3.58579 5H1V21H19.5858L22.0002 23.4144 23.4101 22.0045 2 .594389 2.0043.590088zM6.75 12.75C6.75 11.4694 7.20853 10.2958 7.97038 9.38459L9.39378 10.808C8.9894 11.3498 8.75 12.0219 8.75 12.75 8.75 14.5449 10.2051 16 12 16 12.7281 16 13.4002 15.7606 13.942 15.3562L15.3654 16.7796C14.4542 17.5415 13.2806 18 12 18 9.1005 18 6.75 15.6495 6.75 12.75zM23 18.766V5H17.618L16.118 2H7.88197L7.33266 3.09862 11.7403 7.50631C11.8264 7.50212 11.9129 7.5 12 7.5 14.8995 7.5 17.25 9.8505 17.25 12.75 17.25 12.8371 17.2479 12.9236 17.2437 13.0097L23 18.766z"
    }
  }]
};
var CameraOffFilled = Vue__default['default'].extend({
  name: "CameraOffFilledIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "camera-off-filled",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = CameraOffFilled;
//# sourceMappingURL=camera-off-filled.js.map
