'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12 3C7.02944 3 3 7.02945 3 12C3 16.9706 7.02944 21.0001 12 21.0001C16.9706 21.0001 21 16.9706 21 12C21 7.02945 16.9706 3 12 3ZM1 12C1 5.92489 5.92486 1 12 1C18.0751 1 23 5.92489 23 12C23 18.0752 18.0751 23.0001 12 23.0001C5.92486 23.0001 1 18.0752 1 12ZM11 4H12C16.4183 4 20 7.58172 20 12V13H18V12C18 8.68629 15.3137 6 12 6H11V4ZM12 10C10.8954 10 10 10.8954 10 12C10 13.1046 10.8954 14 12 14C13.1046 14 14 13.1046 14 12C14 10.8954 13.1046 10 12 10ZM8 12C8 9.79086 9.79086 8 12 8C14.2091 8 16 9.79086 16 12C16 14.2091 14.2091 16 12 16C9.79086 16 8 14.2091 8 12Z"
    }
  }]
};
var Cd = Vue__default['default'].extend({
  name: "CdIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "cd",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = Cd;
//# sourceMappingURL=cd.js.map
