'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M3.18425 13.8068C2.18686 8.93733 5.3258 4.1813 10.1953 3.18391L11.1749 2.98325L10.7736 1.02393L9.79394 1.22459C3.84237 2.44362 0.00589404 8.25654 1.22493 14.2081C2.44396 20.1597 8.25688 23.9962 14.2085 22.7771C18.7545 21.846 22.0643 18.2353 22.8329 13.9329L23.0088 12.9484L21.0399 12.5967L20.8641 13.5811C20.2346 17.1047 17.5238 20.0565 13.8071 20.8178C8.93767 21.8152 4.18164 18.6763 3.18425 13.8068Z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M14.2886 1.23872L13.3105 1.03036 12.8938 2.98647 13.8719 3.19483C17.2667 3.91803 20.0779 6.58093 20.8181 10.1949L21.0188 11.1746 22.9781 10.7733 22.7775 9.7936C21.872 5.37312 18.4329 2.12158 14.2886 1.23872zM12.0012 17.0005C14.7626 17.0005 17.0012 14.7619 17.0012 12.0005 17.0012 9.23905 14.7626 7.00048 12.0012 7.00048 9.23979 7.00048 7.00121 9.23905 7.00121 12.0005 7.00121 14.7619 9.23979 17.0005 12.0012 17.0005z"
    }
  }]
};
var ChartRing1Filled = Vue__default['default'].extend({
  name: "ChartRing1FilledIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "chart-ring-1-filled",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = ChartRing1Filled;
//# sourceMappingURL=chart-ring-1-filled.js.map
