'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.9999 0.807129L23.8348 8.49981L21.9999 9.6925V15.9998H19.9999V10.9925L18.9999 11.6425V17.4998C18.9999 18.9696 17.986 20.1154 16.7465 20.8385C15.4824 21.5758 13.802 21.9998 11.9999 21.9998C10.1979 21.9998 8.51748 21.5758 7.25343 20.8385C6.01393 20.1154 4.99994 18.9696 4.99994 17.4998V11.6425L0.165039 8.49981L11.9999 0.807129ZM6.99994 12.9425V17.4998C6.99994 17.963 7.3291 18.5672 8.26117 19.1109C9.16869 19.6403 10.4883 19.9998 11.9999 19.9998C13.5116 19.9998 14.8312 19.6403 15.7387 19.1109C16.6708 18.5672 16.9999 17.963 16.9999 17.4998V12.9425L11.9999 16.1925L6.99994 12.9425ZM20.165 8.49981L11.9999 3.1925L3.83484 8.49981L11.9999 13.8071L20.165 8.49981Z"
    }
  }]
};
var Education = Vue__default['default'].extend({
  name: "EducationIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "education",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = Education;
//# sourceMappingURL=education.js.map
