'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M18.3818 17.3513L20 18.9738 21.618 17.3513 23.0342 18.7634 20.0002 21.8062 16.9657 18.7636 18.3818 17.3513zM18.3808 16.6366L20 15.0152 21.6189 16.6366 23.0342 15.2234 20.0002 12.1848 16.9657 15.2233 18.3808 16.6366zM3 3H21L14 12.8174V21H10V12.8174L3 3z"
    }
  }]
};
var FilterSortFilled = Vue__default['default'].extend({
  name: "FilterSortFilledIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "filter-sort-filled",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = FilterSortFilled;
//# sourceMappingURL=filter-sort-filled.js.map
