'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M10.75 1.5C10.75 0.671573 11.4216 0 12.25 0C13.0784 0 13.75 0.671573 13.75 1.5V10H14.5V3.68609C14.5 2.85766 15.1716 2.18609 16 2.18609C16.8284 2.18609 17.5 2.85766 17.5 3.68609V10H18.25V7.02237C18.25 6.19416 18.9214 5.52275 19.7496 5.52275C20.5778 5.52275 21.2492 6.19416 21.2492 7.02237V15C21.2492 19.4183 17.6675 23 13.2492 23H11.8988C8.26329 23 5.08487 20.5486 4.1613 17.0323L2.66256 11.3262C2.47142 10.5985 2.79088 9.83284 3.44259 9.45678C4.22141 9.00736 5.21628 9.25578 5.69241 10.0186L7.00001 12.1133L7.00001 3.68609C7.00001 2.85766 7.67158 2.18609 8.50001 2.18609C9.32843 2.18609 10 2.85766 10 3.68609V10H10.75V1.5Z"
    }
  }]
};
var GestureRanslationFilled = Vue__default['default'].extend({
  name: "GestureRanslationFilledIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "gesture-ranslation-filled",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = GestureRanslationFilled;
//# sourceMappingURL=gesture-ranslation-filled.js.map
