'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M18.5979 5.20031C14.2887 1.96104 8.14211 2.30235 4.2202 6.22427L3.51309 6.93137L2.09888 5.51716L2.80598 4.81005C7.34692 0.269114 14.4114 -0.210199 19.4851 3.37211L19.4864 1.49996L21.4864 1.50132L21.4837 7.20031H16.4984V5.20031H18.5979ZM9.24403 7.56574C9.24403 6.04382 10.4778 4.81006 11.9997 4.81006C13.5216 4.81006 14.7554 6.04382 14.7554 7.56574V10.5195H15.9137C16.4021 10.5195 16.8816 10.6492 17.3034 10.8954L20.9281 13.0111C22.0546 13.6687 22.5661 15.0257 22.1538 16.2632L20.3714 21.6138C19.9963 22.7397 18.9427 23.4992 17.756 23.4992H10.6705C9.81429 23.4992 9.00672 23.1014 8.4849 22.4227L4.18658 16.8314L5.12769 15.4189C5.55797 14.7731 6.34109 14.4583 7.09861 14.6268L9.24403 15.1038V7.56574ZM11.9997 6.81006C11.5824 6.81006 11.244 7.14839 11.244 7.56574V17.5974L6.74588 16.5972L6.64528 16.7482L10.0705 21.2037C10.2138 21.39 10.4354 21.4992 10.6705 21.4992H17.756C18.0817 21.4992 18.371 21.2908 18.4739 20.9817L20.2563 15.6311C20.3695 15.2914 20.2291 14.9189 19.9199 14.7384L16.2952 12.6227C16.1794 12.5551 16.0478 12.5195 15.9137 12.5195H12.7554V7.56574C12.7554 7.14839 12.4171 6.81006 11.9997 6.81006Z"
    }
  }]
};
var GestureRightSlip = Vue__default['default'].extend({
  name: "GestureRightSlipIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "gesture-right-slip",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = GestureRightSlip;
//# sourceMappingURL=gesture-right-slip.js.map
