'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M22.4997 12C22.4997 6.20101 17.7987 1.5 11.9997 1.5C10.202 1.5 8.50694 1.95264 7.02537 2.75098C5.63073 3.50248 4.42555 4.56009 3.49974 5.83442V2.5H1.49974V9.5H8.49974V7.5H4.78715C5.56985 6.24843 6.6697 5.21451 7.9741 4.51164C9.17133 3.86651 10.5412 3.5 11.9997 3.5C16.6942 3.5 20.4997 7.30558 20.4997 12C20.4997 16.6944 16.6942 20.5 11.9997 20.5C7.60814 20.5 3.9933 17.1687 3.54632 12.896L3.44227 11.9014L1.45312 12.1095L1.55717 13.104C2.10958 18.3846 6.57341 22.5 11.9997 22.5C17.7987 22.5 22.4997 17.799 22.4997 12ZM10.9997 6V12.4142L14.4997 15.9142L15.914 14.5L12.9997 11.5858V6H10.9997Z"
    }
  }]
};
var History = Vue__default['default'].extend({
  name: "HistoryIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "history",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = History;
//# sourceMappingURL=history.js.map
