'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M13 0H12V2H13C16.866 2 20 5.13401 20 9V10H22V9C22 4.02944 17.9706 0 13 0zM10 2H4V24H20V12H18V18H6V4H10V2zM13.0039 20V22.0039H11V20H13.0039z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M13 4H12V6H13C14.6569 6 16 7.34315 16 9V10H18V9C18 6.23858 15.7614 4 13 4Z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M14.0039 8H12V10.0039H14.0039V8Z"
    }
  }]
};
var HotspotWaveFilled = Vue__default['default'].extend({
  name: "HotspotWaveFilledIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "hotspot-wave-filled",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = HotspotWaveFilled;
//# sourceMappingURL=hotspot-wave-filled.js.map
