'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M8.00016 2V5L18.0002 5V2H20.0002V5H22.0002V7H20.0002V15H22.0002V17H20.0002V21H18.0002V17H16.0002V15H18.0002V7H8.00016V11H6.00016V7H2.00016V5H6.00016V2H8.00016ZM14.5809 10.4185L10.2053 23.5453L7.19709 17.8023L1.4541 14.7941L14.5809 10.4185ZM6.54771 15.2044L8.67875 16.3207L9.795 18.4517L11.4186 13.5808L6.54771 15.2044Z"
    }
  }]
};
var MapNavigation = Vue__default['default'].extend({
  name: "MapNavigationIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "map-navigation",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = MapNavigation;
//# sourceMappingURL=map-navigation.js.map
