'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "g",
    "attrs": {
      "fill": "currentColor",
      "clipPath": "url(#clip0_101749_96975)"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "d": "M3.5 7C3.5 4.23858 5.73858 2 8.5 2 11.2614 2 13.5 4.23858 13.5 7 13.5 9.76142 11.2614 12 8.5 12 5.73858 12 3.5 9.76142 3.5 7zM5 14C2.23858 14 0 16.2386 0 19V21H17V19C17 16.2386 14.7614 14 12 14H5zM24.0005 21H19.0005V19C19.0005 17.0413 18.196 15.2705 16.8995 14H19.0005C21.7619 14 24.0005 16.2386 24.0005 19V21zM15.5005 12C14.871 12 14.2687 11.8837 13.7139 11.6713 14.8248 10.4324 15.5005 8.79509 15.5005 7 15.5005 5.20491 14.8248 3.56764 13.7139 2.32865 14.2687 2.11632 14.871 2 15.5005 2 18.2619 2 20.5005 4.23858 20.5005 7 20.5005 9.76142 18.2619 12 15.5005 12z"
      }
    }]
  }]
};
var MemberFilled = Vue__default['default'].extend({
  name: "MemberFilledIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "member-filled",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = MemberFilled;
//# sourceMappingURL=member-filled.js.map
