'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 25 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M16.0703 3.34403L14.6423 4.12503L16.0703 4.90604L16.8513 6.33405L17.6323 4.90604L19.0603 4.12503L17.6323 3.34403L16.8513 1.91602L16.0703 3.34403ZM2.22632 12C2.22632 6.47719 6.70347 2.00003 12.2263 2.00003H13.96L13.0919 3.50073C12.5134 4.50094 12.2263 5.68851 12.2263 7.00003C12.2263 10.866 15.3603 14 19.2263 14C19.6881 14 20.1385 13.9555 20.5738 13.8707L22.2564 13.5428L21.7135 15.1689C20.3886 19.1373 16.6431 22 12.2263 22C6.70347 22 2.22632 17.5229 2.22632 12ZM20.7263 6.41602L21.6399 8.08645L23.3103 9.00003L21.6399 9.91362L20.7263 11.5841L19.8127 9.91362L18.1423 9.00003L19.8127 8.08645L20.7263 6.41602Z"
    }
  }]
};
var ModeDarkFilled = Vue__default['default'].extend({
  name: "ModeDarkFilledIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "mode-dark-filled",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = ModeDarkFilled;
//# sourceMappingURL=mode-dark-filled.js.map
