'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M13.0018 3.08326L13.0039 2.00195L11.0039 1.99805L11.0018 3.08266C8.1632 3.558 6 6.02638 6 9H2V22H7.5V19.4999C7.5 17.5577 8.4697 16.0975 9.27012 15.217C9.68105 14.765 10.0876 14.4199 10.3925 14.1861C10.5464 14.0681 10.6785 13.9754 10.7777 13.9088L10.971 13.7849L12 13.1675L13.029 13.7849L13.2223 13.9088C13.3215 13.9754 13.4536 14.0681 13.6075 14.1861C13.9124 14.4199 14.319 14.765 14.7299 15.217C15.5303 16.0975 16.5 17.5577 16.5 19.4999V22H22V9H18C18 6.02763 15.8386 3.56007 13.0018 3.08326ZM13.002 6.99805V9.00195H10.998V6.99805H13.002Z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M9.5 19.5C9.5 17 12 15.5 12 15.5C12 15.5 14.5 17 14.5 19.5V22H9.5V19.5Z"
    }
  }]
};
var Palace3Filled = Vue__default['default'].extend({
  name: "Palace3FilledIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "palace-3-filled",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = Palace3Filled;
//# sourceMappingURL=palace-3-filled.js.map
