'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M8.5 2H15.5V9H13V11.3333H19.5V15H22V22H15V15H17.5V13.3333H6.5V15H9V22H2V15H4.5V11.3333H11V9H8.5V2ZM13.5 7V4H10.5V7H13.5ZM4 17V20H7V17H4ZM17 17V20H20V17H17Z"
    }
  }]
};
var TreeSquareDot = Vue__default['default'].extend({
  name: "TreeSquareDotIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "tree-square-dot",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = TreeSquareDot;
//# sourceMappingURL=tree-square-dot.js.map
