'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.5 4C9.567 4 8 5.567 8 7.5 8 9.433 9.567 11 11.5 11 13.433 11 15 9.433 15 7.5 15 5.567 13.433 4 11.5 4zM6 7.5C6 4.46243 8.46243 2 11.5 2 14.5376 2 17 4.46243 17 7.5 17 10.5376 14.5376 13 11.5 13 8.46243 13 6 10.5376 6 7.5zM8 16C5.79086 16 4 17.7909 4 20H12.05V22L2 22 2 20C2 16.6863 4.68629 14 8 14H12V16H8zM19.4999 12.75V14.126C20.2149 14.31 20.8525 14.6867 21.354 15.1975L22.5466 14.509 23.5466 16.241 22.355 16.929C22.4494 17.2699 22.4999 17.629 22.4999 18 22.4999 18.371 22.4494 18.7301 22.355 19.071L23.5466 19.759 22.5466 21.491 21.354 20.8025C20.8525 21.3133 20.2149 21.69 19.4999 21.874V23.25H17.4999V21.874C16.785 21.69 16.1474 21.3133 15.6458 20.8025L14.4533 21.491 13.4533 19.759 14.6449 19.071C14.5504 18.7301 14.4999 18.371 14.4999 18 14.4999 17.629 14.5504 17.2699 14.6449 16.929L13.4533 16.241 14.4533 14.509 15.6458 15.1975C16.1474 14.6867 16.785 14.31 17.4999 14.126V12.75H19.4999zM16.7487 17.0333C16.5902 17.3198 16.4999 17.6494 16.4999 18 16.4999 18.3506 16.5902 18.6802 16.7487 18.9667L16.7852 19.03C17.1351 19.6112 17.7721 20 18.4999 20 19.2278 20 19.8648 19.6112 20.2147 19.03L20.2512 18.9668C20.4097 18.6802 20.4999 18.3507 20.4999 18 20.4999 17.6493 20.4097 17.3198 20.2512 17.0332L20.2147 16.97C19.8648 16.3888 19.2278 16 18.4999 16 17.7721 16 17.1351 16.3888 16.7852 16.97L16.7487 17.0333z"
    }
  }]
};
var UserSetting = Vue__default['default'].extend({
  name: "UserSettingIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "user-setting",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = UserSetting;
//# sourceMappingURL=user-setting.js.map
