import { _ as _defineProperty } from '../_chunks/dep-a77ab85e.js';
import { _ as _objectWithoutProperties } from '../_chunks/dep-0acb3ad3.js';
import Vue from 'vue';
import IconBase from '../icon.js';
import useSizeProps from '../utils/use-size-props.js';
import 'classnames';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12 1C5.92487 1 1 5.92486 1 12C1 14.6615 1.94632 17.1038 3.51936 19.006L1.30049 23H12C18.0751 23 23 18.0751 23 12C23 5.92486 18.0751 1 12 1ZM10.1135 8.83325L9.78021 9.77609L7.89453 9.1096L8.22778 8.16675C8.77642 6.61451 10.2567 5.5 11.9999 5.5C14.2091 5.5 15.9999 7.29086 15.9999 9.5C15.9999 10.7759 15.4014 11.9125 14.4739 12.6433C14.0423 12.9834 13.657 13.3088 13.378 13.6519C13.1034 13.9896 12.9999 14.262 12.9999 14.5V15.75H10.9999V14.5C10.9999 13.6334 11.3901 12.9265 11.8262 12.3902C12.2579 11.8592 12.8001 11.4159 13.2361 11.0723C13.7031 10.7045 13.9999 10.1372 13.9999 9.5C13.9999 8.39543 13.1045 7.5 11.9999 7.5C11.1307 7.5 10.3885 8.0551 10.1135 8.83325ZM13.0036 16.75V18.7539H10.9997V16.75H13.0036Z"
    }
  }]
};
var ChatBubbleHelpFilled = Vue.extend({
  name: "ChatBubbleHelpFilledIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = _objectWithoutProperties(props, _excluded);
    var _useSizeProps = useSizeProps(size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "chat-bubble-help-filled",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(IconBase, data);
  }
});

export default ChatBubbleHelpFilled;
//# sourceMappingURL=chat-bubble-help-filled.js.map
