import { _ as _defineProperty } from '../_chunks/dep-a77ab85e.js';
import { _ as _objectWithoutProperties } from '../_chunks/dep-0acb3ad3.js';
import Vue from 'vue';
import IconBase from '../icon.js';
import useSizeProps from '../utils/use-size-props.js';
import 'classnames';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M1 2H20V16H5.82046L1 19.4432V2ZM3 4V15.5568L5.17953 14H18V4H3ZM23.5 4.5V22.9432L18.6795 19.5H7.5V17.5H19.3205L21.5 19.0568V4.5H23.5Z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M10.5 6.5C9.94772 6.5 9.5 6.94772 9.5 7.5V8.5H7.5V7.5C7.5 5.84315 8.84315 4.5 10.5 4.5C12.1569 4.5 13.5 5.84315 13.5 7.5C13.5 8.17608 13.3282 8.74594 13.0259 9.2099C12.7288 9.66594 12.3429 9.96311 11.9972 10.1603C11.8243 10.2589 11.6536 10.3366 11.5034 10.3975V10.75H9.50345V9.75C9.50345 9.3263 9.74806 9.06273 9.86436 8.96014C9.98358 8.85498 10.1042 8.79486 10.1602 8.76828C10.2666 8.71774 10.3935 8.67378 10.4686 8.64778C10.4751 8.64553 10.4812 8.64341 10.4869 8.64144C10.6775 8.57513 10.8462 8.51433 11.0062 8.42305C11.1597 8.3355 11.2729 8.23684 11.3501 8.11822C11.4223 8.00753 11.5 7.82392 11.5 7.5C11.5 6.94772 11.0523 6.5 10.5 6.5ZM9.5 11.5H11.5039V13.5039H9.5V11.5Z"
    }
  }]
};
var QuestionnaireDouble = Vue.extend({
  name: "QuestionnaireDoubleIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = _objectWithoutProperties(props, _excluded);
    var _useSizeProps = useSizeProps(size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "questionnaire-double",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(IconBase, data);
  }
});

export default QuestionnaireDouble;
//# sourceMappingURL=questionnaire-double.js.map
