'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M4 21.0001H3V20.0001V3.00011V1.13159L4.5547 2.16806L6.94629 3.76245L8.87531 2.21924L9.5 1.71948L10.1247 2.21924L12 3.71948L13.8753 2.21924L14.5 1.71948L15.1247 2.21924L17.0537 3.76245L19.4453 2.16806L21 1.13159V3.00011V20.0001V21.0001H20H4ZM5 4.86863V19.0001H19V4.86863L17.5547 5.83216L16.9463 6.23777L16.3753 5.78098L14.5 4.28073L12.6247 5.78098L12 6.28073L11.3753 5.78098L9.5 4.28073L7.62469 5.78098L7.05371 6.23777L6.4453 5.83216L5 4.86863ZM8 16.0001H7V14.0001H8H16H17V16.0001H16H8ZM11 12.0001H12H16H17V10.0001H16H12H11V12.0001ZM8 10.0001H7V11.0001V11.004V12.004H8H8.00391H9.00391V11.004V11.0001V10.0001H8.00391H8Z"
    }
  }]
};
var Coupon = Vue__default['default'].extend({
  name: "CouponIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "coupon",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = Coupon;
//# sourceMappingURL=coupon.js.map
