'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M14.4807 1H20V3H15.9794L15.3291 5.22222H20.0706L18.8569 23H6.21764L5.34779 10.2778C3.47418 9.86298 2 8.2393 2 6.22222C2 3.90206 3.91363 2.05556 6.23139 2.05556C8.20418 2.05556 9.88418 3.39329 10.3406 5.22222H13.2452L14.4807 1ZM12.66 7.22222H7.14471L7.38137 10.7041L11.4477 11.365L12.66 7.22222ZM11.9956 13.4803L7.52121 12.753L8.08548 21H16.9888L17.4405 14.384L11.9989 13.4809L11.9956 13.4803ZM17.5773 12.3794L17.9294 7.22222H14.7439L13.4359 11.692L17.5773 12.3794ZM8.2106 5.22222C7.84137 4.5343 7.10214 4.05556 6.23139 4.05556C4.97986 4.05556 4 5.04458 4 6.22222C4 7.01865 4.48089 7.74502 5.20097 8.11792L5.00415 5.22222H8.2106Z"
    }
  }]
};
var Drink = Vue__default['default'].extend({
  name: "DrinkIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "drink",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = Drink;
//# sourceMappingURL=drink.js.map
