'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M15.7481 2.94736C16.5292 2.16631 17.7955 2.16631 18.5766 2.94736L21.0514 5.42223C21.8325 6.20328 21.8325 7.46961 21.0514 8.25066L18.7015 10.6006L16.4986 12.8034L15.0844 11.3891L16.5802 9.89346L14.1053 7.41859L12.6095 8.91431L11.1953 7.50005L13.3982 5.29729L15.7481 2.94736ZM15.5195 6.00439L17.9944 8.47927L19.6372 6.83645L17.1623 4.36157L15.5195 6.00439ZM4.00015 2.58588L21.4144 20.0001L20.0002 21.4143L13.9438 15.3579L9.15796 20.1437L2.77822 21.2202L3.85466 14.8404L8.64047 10.0546L2.58594 4.00009L4.00015 2.58588ZM10.0547 11.4688L5.72052 15.803L5.21818 18.7802L8.19539 18.2779L12.5296 13.9437L10.0547 11.4688Z"
    }
  }]
};
var EditOff = Vue__default['default'].extend({
  name: "EditOffIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "edit-off",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = EditOff;
//# sourceMappingURL=edit-off.js.map
