'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M14.7211 22.6609C19.1678 21.5294 22.5327 17.6889 22.9552 13.0001H17.974C17.7884 16.5472 16.6179 19.8471 14.7211 22.6609zM22.9552 11.0001C22.5326 6.30957 19.1656 2.46808 14.7166 1.33799 16.6152 4.15179 17.787 7.45222 17.9738 11.0001H22.9552zM9.28355 1.33799C4.83458 2.46808 1.46758 6.30957 1.04492 11.0001H6.02641C6.21312 7.45222 7.38502 4.15178 9.28355 1.33799zM1.04493 13.0001C1.4675 17.6889 4.83239 21.5294 9.27912 22.6609 7.38225 19.8471 6.21181 16.5472 6.02613 13.0001H1.04493zM12.0001 22.962C9.69262 20.1775 8.24832 16.7407 8.02922 13.0001H15.971C15.7518 16.7407 14.3075 20.1775 12.0001 22.962zM12.0001 1.04346C14.3065 3.82658 15.7505 7.26153 15.9706 11.0001H8.02953C8.24969 7.26153 9.69371 3.82658 12.0001 1.04346z"
    }
  }]
};
var InternetFilled = Vue__default['default'].extend({
  name: "InternetFilledIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "internet-filled",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = InternetFilled;
//# sourceMappingURL=internet-filled.js.map
