'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.9996 0.922852L18.2994 3.4428L17.5566 5.29975L16.9996 5.07692V9.99988H18.9996V11.9999H17.093C17.257 13.9053 17.6137 15.9379 17.9781 17.6689C18.2246 18.8396 18.4712 19.8568 18.656 20.5806C18.7483 20.9424 18.8251 21.2303 18.8786 21.427C18.9053 21.5253 18.9262 21.6008 18.9403 21.6513L18.9562 21.7078L18.96 21.7215L18.9609 21.7246L19.3253 22.9999H13.2188L12.2188 18.9999H11.7803L10.7803 22.9999H4.67383L5.03801 21.7253L5.03908 21.7215L5.04295 21.7078L5.05882 21.6513C5.0729 21.6008 5.09379 21.5253 5.12052 21.427C5.17398 21.2303 5.25078 20.9424 5.34314 20.5806C5.52796 19.8568 5.77454 18.8396 6.02101 17.6689C6.38542 15.9379 6.74214 13.9053 6.90609 11.9999H4.99956V9.99988H6.99956V5.07692L6.44247 5.29975L5.69969 3.4428L11.9996 0.922852ZM8.99956 4.27692V9.99988H14.9996V4.27692L11.9996 3.07692L8.99956 4.27692ZM15.0862 11.9999H8.91288C8.74474 14.0864 8.35738 16.2794 7.97811 18.0809C7.73303 19.245 7.48806 20.2606 7.30021 20.9999H9.21878L10.2188 16.9999H13.7803L14.7803 20.9999H16.6989C16.5111 20.2606 16.2661 19.245 16.021 18.0809C15.6417 16.2794 15.2544 14.0864 15.0862 11.9999ZM10.9996 5.99793H13.0035V8.00184H10.9996V5.99793Z"
    }
  }]
};
var Lighthouse1 = Vue__default['default'].extend({
  name: "Lighthouse1Icon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "lighthouse-1",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = Lighthouse1;
//# sourceMappingURL=lighthouse-1.js.map
