'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M6.5 2V4.5H2V6.5H9.45971C8.93752 7.82397 8.2321 9.05625 7.37462 10.1654C6.82023 9.4482 6.32938 8.67946 5.91052 7.86765L5.452 6.97897L3.67463 7.89601L4.13316 8.78469C4.66619 9.81778 5.30191 10.7891 6.02685 11.6852C5.1225 12.5763 4.10552 13.3537 2.99916 13.9938L2.13362 14.4947L3.1353 16.2258L4.00084 15.7249C5.23108 15.013 6.36398 14.1514 7.37453 13.1648C8.38522 14.1516 9.51844 15.0134 10.7493 15.7254L11.6149 16.2261L12.6163 14.4949L11.7507 13.9942C10.6442 13.3541 9.62694 12.5767 8.72231 11.6853C9.96117 10.1542 10.9397 8.40334 11.5902 6.5H13V4.5H8.5V2H6.5ZM16.5 9.16402L10.6682 21.4757L12.4757 22.3318L13.5802 20H19.4198L20.5243 22.3318L22.3318 21.4757L16.5 9.16402ZM18.4724 18H14.5276L16.5 13.836L18.4724 18Z"
    }
  }]
};
var Translate1 = Vue__default['default'].extend({
  name: "Translate1Icon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "translate-1",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = Translate1;
//# sourceMappingURL=translate-1.js.map
