'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-6ba76cce.js');
var utils_renderFn = require('../_chunks/dep-be74a4ab.js');
var Vue = require('vue');
var icon = require('../icon.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('classnames');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M3.00015 1.58569L22.4144 20.9999L21.0002 22.4141L13.6961 15.11L11.1415 12.5557C9.77376 12.7365 8.45419 13.3519 7.40306 14.403L6.69595 15.1101L5.28174 13.6959L5.98884 12.9888C6.99668 11.981 8.19571 11.2789 9.46903 10.883L9.09987 10.5138L6.03152 7.4457C4.8712 8.04543 3.78158 8.83212 2.80687 9.80684L2.09976 10.5139L0.685547 9.09973L1.39265 8.39262C2.35857 7.4267 3.42447 6.6194 4.55742 5.97139L1.58594 2.99991L3.00015 1.58569ZM21.1922 9.80751C18.2104 6.82575 14.1414 5.59459 10.2583 6.11633L9.26722 6.2495L9.00089 4.26731L9.99198 4.13415C14.4665 3.53293 19.165 4.95189 22.6064 8.39329L23.3135 9.1004L21.8993 10.5146L21.1922 9.80751ZM10.586 17.5857C11.3671 16.8046 12.6334 16.8047 13.4144 17.5857L14.1215 18.2928L12.0002 20.4141L9.87891 18.2928L10.586 17.5857Z"
    }
  }]
};
var WifiOff = Vue__default['default'].extend({
  name: "WifiOffIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = utils_renderFn._objectWithoutProperties(props, _excluded);
    var _useSizeProps = utils_useSizeProps['default'](size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "wifi-off",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(icon['default'], data);
  }
});

exports.default = WifiOff;
//# sourceMappingURL=wifi-off.js.map
